Author Topic: Substance doesn't work with 4.5 Preview Build  (Read 8783 times)

Greetings. I compiled your substance latest plugin with 4.5 preview, it gave me error when compiling it. It seems your plugin isn't compatible with 4.5 structure yet. I hope you make it compatible before 4.5 release so we won't have to wait much time after its release.

I got it to work on 4.5, you just have to comment the lines that gives you errors. They're about the slate color picker, something changed on it. I don't remember the specifics, but I just commented color picker stuff until I got no compiler errors. (color picker won't work of course, but it's not vital)

But I agree that it would be nice if Allegorithmic did plugin updates to UE4 preview versions. Maybe as another branch on their Github.

Hello Fsalabedhabt and jeffersonpinheiro,

I do use the preview builds to help speed along releases when they are final. For 4.5 preview the fix I ended up with was adding "AppFramework" to the PrivateDependencyModuleNames in SubstanceEditor.Build.cs


Josh,

For those of us who are "lazy" and only work with the binary releases, we need a recompile for 4.5. Any word on Epic making this a non-issue by implementing something that doesn't require the plugin vendors to always recompile their work?

Can someone upload the recompiled plugin files for the 4.5 preview build please?

Can someone upload the recompiled plugin files for the 4.5 preview build please?
Here : https://www.dropbox.com/s/6dobub6weumj1gq/Plugins_450_Preview.zip?dl=1
It's the Windows plugin compiled to work with the 4.5.0 preview. It's not official, we will have an official support once the true 4.5.0 is live.
Don't forget your log file. It can be exported from the Help menu of the software.
-----------
Fabrice Piquet aka Froyok. Product Manager, Technical Artist and Documentation at Adobe.

Can someone upload the recompiled plugin files for the 4.5 preview build please?
Here : https://www.dropbox.com/s/6dobub6weumj1gq/Plugins_450_Preview.zip?dl=1
It's the Windows plugin compiled to work with the 4.5.0 preview. It's not official, we will have an official support once the true 4.5.0 is live.

Failed. "Module 'SubstanceCore' does not appear to be compatible with the current version of the engine. May need to be recompiled"

Doesn't work for me either  :-[

It's going to be hard to support or publish a preview binary because Epic updates their preview releases much more rapidly, and they will contain binary breaking changes. Once a release is versioned Epic keeps binary compatibility (4.4.2 compatible with 4.4.3 for example).

I will try to publish a build today based off the preview build I'm downloading right now, but I wanted to type that up so people are aware of pitfalls.

It's going to be hard to support or publish a preview binary because Epic updates their preview releases much more rapidly, and they will contain binary breaking changes. Once a release is versioned Epic keeps binary compatibility (4.4.2 compatible with 4.4.3 for example).

I will try to publish a build today based off the preview build I'm downloading right now, but I wanted to type that up so people are aware of pitfalls.

IDV has had their Speedtree plugin integrated into the binaries, can Allegorithmic do the same or does this have to do with how quickly a particular product is evolving?

I'm sure I'm not alone when I tell you that I'd like the Substance plugin to be available within minutes of a UE4 build hitting the street.

I don't have an answer for that right now unity, but I have been making sure we can release when Epic does as quickly as possible. Here is a build I did today off the 4.5 preview. Can't guarantee it works but wanted to be helpful :)

Yay it works!!!  ;D :D

I understand the pitfalls with working this ways... and the advantages. So I'm not really complaining, just pointing out that it was not working before.

Million thanks Josh for compiling and sharing :)

As has been the case with the previous plugins, this one too joins the long list of Substance plugins for UE4 that doesn't allow UE4 to launch (meaning to launch a game play window).....message about needing to recompile. This is separate from the issue that was addressed with being able to bring Substance INTO UE4, which now works with the temp fix for 4.5 Preview.

Hi unity2k,

You will have to compile substance for use with packaged builds because the Unreal Engine generates the code differently between editor and game. Do you have any C++ code in your project or is it just blueprint?

Hi unity2k,

You will have to compile substance for use with packaged builds because the Unreal Engine generates the code differently between editor and game. Do you have any C++ code in your project or is it just blueprint?

We have both, but let's just focus on the Blueprints, as only one of my guys is working with C++.

I certainly don't want to go the compile route as we've had nothing but problems in the past with other elements within UE4 when we have. Will Substance in the future be able to work with game instead of just the editor? Is there a workaround that doesn't require us to compile anything?